%global momorel 3
%global srcname akode
%global md5sum_src0 659ced0c9c735cb3e55b9138ff02342c 

Summary: aKode is the decoding library
Name: libakode
Version: 2.0.2
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.carewolf.com/akode/
Group: System Environment/Libraries
%NoSource 0 http://www.kde-apps.org/CONTENT/content-files/30375-%{srcname}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{srcname}-%{version}-speex-header-path.patch
Patch1: %{srcname}-%{version}-ffmpeg-20070330.patch
Patch10: %{name}-%{version}-x86_64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: alsa-lib-devel >= 1.0.13-2m
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: ffmpeg-devel >= 0.4.9-0.20070330.1m
BuildPreReq: flac-devel >= 1.2.1
BuildPreReq: jack-devel >= 0.102.20-2m
BuildPreReq: libmad >= 0.15.1b-0.1.2m
BuildPreReq: libogg-devel >= 1.1.3-2m
BuildPreReq: libsamplerate-devel >= 0.1.2-3m
BuildPreReq: libtool
BuildPreReq: libvorbis-devel >= 1.1.2-2m
BuildPreReq: speex-devel => 1.2
BuildPreReq: automake, autoconf, libtool

%description
aKode is a simple audio-decoding frame-work that provides a uniform interface 
to decode the most common audio-formats. It also has a direct playback option 
for a number of audio-outputs. 
aKode currently has the following decoder plugins: 
 mpeg: Uses libMAD to decoder all MPEG 1/2 layer I-III audio. GPL licensed and patent issue in the US. 
 mpc: Decodes musepack aka mpc audio. LGPL licensed. 
 xiph: Decodes FLAC, Ogg/FLAC, Speex and Ogg Vorbis audio. LGPL licensed, patent free. 
 ffmpeg: Experimental decoder using the FFMPEG decoding library. Enables WMA and RealAudio playback. LGPL and possible patent and reengineering issues in the US. 
 aKode also has the following audio outputs: 
 oss: Outputs to the OSS (Open Sound System) of for instance FreeBSD and Linux 2.4 
 alsa: Outputs to ALSA of Linux 2.6 (version 0.9 or 1.x required) (dmix is recommended). 
 sun: Outputs to Sun OS/Solaris audio device . 
 jack: Outputs using Jack audio backend. 
 polyp: Output to the polypaudio server. Recommended for network transparent audio.

%package devel
Summary: Headers for developing programs that will use libakode
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the headers that programmers will need to develop
applications which will use libakode.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .speex-12
%patch1 -p1 -b .ffmpeg-20070330
%if %{_lib}=="lib64"
%patch10 -p1 -b x86_64
%endif

# for Patch0
make -f admin/Makefile.common cvs

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags} -D__STDC_CONSTANT_MACROS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-kscd-cdda \
	--enable-sdl \
	--enable-new-ldflags \
	--disable-final \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# # get rid of mpeg_decoder (software patent concerns)
# rm -f %{buildroot}%{_libdir}/libakode_mpeg_decoder.*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL
%{_bindir}/akodeplay
%{_libdir}/libakode.la
%{_libdir}/libakode.so.*
%{_libdir}/libakode_alsa_sink.la
%{_libdir}/libakode_alsa_sink.so
%{_libdir}/libakode_ffmpeg_decoder.la
%{_libdir}/libakode_ffmpeg_decoder.so
%{_libdir}/libakode_jack_sink.la
%{_libdir}/libakode_jack_sink.so
%{_libdir}/libakode_mpc_decoder.la
%{_libdir}/libakode_mpc_decoder.so
%{_libdir}/libakode_mpeg_decoder.la
%{_libdir}/libakode_mpeg_decoder.so
%{_libdir}/libakode_oss_sink.la
%{_libdir}/libakode_oss_sink.so
%{_libdir}/libakode_src_resampler.la
%{_libdir}/libakode_src_resampler.so
%{_libdir}/libakode_xiph_decoder.la
%{_libdir}/libakode_xiph_decoder.so

%files devel
%defattr(-, root, root)
%{_bindir}/akode-config
%{_includedir}/akode
%{_libdir}/libakode.so

%changelog
* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-3m)
- rebuild against flac-1.2.1

* Sun Apr 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.0.2-2m)
- add x86_64 patch which is from http://frugalware.org/

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-1m)
- version 2.0.2
- add ffmpeg-20070330.patch and use "-D__STDC_CONSTANT_MACROS" for the moment
- update speex-header-path.patch
- remove merged flac-1.1.3.patch
- remove admin.tar.bz2

* Fri Feb 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-5m)
- add akode-2.0.1-speex-header-path.patch for speex-1.2

* Thu Feb 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-4m)
- rebuild with flac again
- import akode-2.0.1+flac-1.1.3.patch.gz from debian-qt-kde
  http://www.mail-archive.com/debian-qt-kde@lists.debian.org/msg16727.html
- add new admin for new autotools

* Wed Feb 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1-3m)
- rebuild without flac-1.1.4 for the moment

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.1-2m)
- rebuild against libvorbis libmad libogg libsamplerate jack alsa-lib

* Tue Jan 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1

* Sat Mar 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- initial package for kdemultimedia
